Bug 473579 - console freezes after quitting xorg
console freezes after quitting xorg
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 09:19 EST by Vsevolod Volkov
Modified: 2009-12-18 02:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:01:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My xorg.conf file. (3.14 KB, text/plain)
2008-12-03 14:01 EST, Vsevolod Volkov
no flags Details
Xorg.0.log (X started with xorg.conf) (38.48 KB, text/plain)
2008-12-03 14:06 EST, Vsevolod Volkov
no flags Details
Xorg.0.log (X started without xorg.conf) (38.38 KB, text/plain)
2008-12-03 14:11 EST, Vsevolod Volkov
no flags Details

  None (edit)
Description Vsevolod Volkov 2008-11-29 09:19:39 EST
Description of problem:
Console freezes after quitting xorg and switching to virtual console where xorg was started.

Version-Release number of selected component (if applicable):

How reproducible:
Always.

Steps to Reproduce:
1. 11 virtual consoles are configured and available, xorg is not started by default. Press Alt-F12. Nothing happens. Virtual console 12 does not exist.
2. Execute startx from any available virtual console (tty1-tty11).
xorg will start on tty12.
3. Quit xorg (ctrl-alt-backspace, etc.)
4. Press Alt-F12.

Actual results:
Screen is blank. Unable to switch to tty1...tty11 with Alt-F1...Alt-F11.

Expected results:
Screen is blank. Pressing Alt-F1...Alt-F11 switches to tty1...tty11.

Additional info:
The behaviour appeared just after upgrading from Fedora 9 to Fedora 10.
Comment 1 Matěj Cepl 2008-12-02 17:57:10 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Vsevolod Volkov 2008-12-03 14:01:25 EST
Created attachment 325575 [details]
My xorg.conf file.
Comment 3 Vsevolod Volkov 2008-12-03 14:06:22 EST
Created attachment 325577 [details]
Xorg.0.log (X started with xorg.conf)
Comment 4 Vsevolod Volkov 2008-12-03 14:11:09 EST
Created attachment 325582 [details]
Xorg.0.log (X started without xorg.conf)

X works fine with or without xorg.conf. The problem is after quitting X.
Comment 5 Vsevolod Volkov 2009-01-01 12:40:58 EST
I've just downgraded xorg-x11-server-Xorg-1.5.3-6.fc10.i386 to xorg-x11-server-Xorg-1.5.2-3.fc9.i386 and the problem has gone. So, I may confirm that the problem is in xorg-x11-server-Xorg-*.fc10.i386 package.
Comment 6 Vsevolod Volkov 2009-03-16 12:13:48 EDT
The problem has gone after reconfiguring xorg to use evdev_drv instaed of kbd_drv.
Comment 7 Bug Zapper 2009-11-18 04:04:15 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 02:01:53 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.